> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Inquire of Response to Request for Information.

GET https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/{id}

This endpoint allows you to get Response to Request for Information.

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/additional-services/ccapi-payments-json/response-to-request-for-information-api/find-response-to-request-for-information-by-rfi-id

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://b2b.api.icg.citi.com/citiconnect/prod` (production gateway url, default)
- `https://sandbox.b2b.api.icg.citi.com/citiconnect/sb` (sbox url )

## Request

### Path parameters

- `id` (string, required) — Your unique identification for a request for information, same as rfi_id.

### Query parameters

- `client_id` (string, required) — Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

## Response

### 200

OK

- `rfi_id` (string, required) — RFI ID.
- `fieldlevel_requests` (list of Field-Level-Requests-With-Answers, optional) — Field level requests for which response is requested

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 404 Not Found Error

Not Found

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 409 Conflict Error

Conflict

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_details` (list of Error-Detail, optional)

## Types

### Field-Level-Requests-With-Answers

Request can have one or more match level requests.

- `field_id` (double, required) — Unique ID for each match.
- `field_name` (string, required) — Name of the field where match has occurred.
- `field_value` (string, required) — Entire content of the field having the match.
- `input_type` (string, required) — The Input type or template to provide the response against the field. It will be one the following - individual / entity / aircraft / vessel / unknown / others. If requested input type is unknown, populate fields from any of the other 4 input types in the response.
- `clarification_required_for` (string, optional) — Exact match.
- `field_details` (list of Field-Details-with-answers, optional) — Field details with questions requested from client.

### Error-Detail

- `issue` (string, optional) — more details about the issue
- `action` (string, optional) — corrective action to be taken to resolve above issue
- `code` (string, optional) — unique code representing the issue

### Field-Details-with-answers

Field details can have one or more questions requested from client.

- `question_name` (string, required) — Data requested from client.
- `answer` (string, required) — Client answer to the question.

## Examples

**Response**

```json
{
  "rfi_id": "string",
  "fieldlevel_requests": [
    {
      "field_id": 1.1,
      "field_name": "string",
      "field_value": "string",
      "input_type": "string",
      "clarification_required_for": "string",
      "field_details": [
        {
          "question_name": "string",
          "answer": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1"

querystring = {"client_id":"6d3cf821-db6d-496d-bec0-064a362e9c31"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://b2b.api.icg.citi.com/citiconnect/prod/addonservices/v1/responsetorequestforinformations/RFI-36345954-RFICSAWCNAM1?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```